# THUMBNAIL

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
BUGS
SEE ALSO

## NAME

| thumbnail − create a TIFF file with thumbnail images

## SYNOPSIS

| thumbnail [ options ] input.tif output.tif

## DESCRIPTION

| thumbnail is a program written to show how one might use the SubIFD tag (#330) to store thumbnail images. thumbnail copies a TIFF Class F facsimile file to the output file and for each image an 8-bit greyscale thumbnail sketch. The output file contains the thumbnail image with the associated full-resolution page linked below with the SubIFD tag. By default, thumbnail images are 216 pixels wide by 274 pixels high. Pixels are calculated by sampling and filtering the input image with each pixel value passed through a contrast curve.

## OPTIONS

| −w |  | Specify the width of thumbnail images in pixels. |
| −h |  | Specify the height of thumbnail images in pixels. |
| −c |  | Specify a contrast curve to apply in generating the thumbnail images. By default pixels values are passed through a linear contrast curve that simply maps the pixel value ranges. Alternative curves are: exp50 for a 50% exponential curve, exp60 for a 60% exponential curve, exp70 for a 70% exponential curve, exp80 for a 80% exponential curve, exp90 for a 90% exponential curve, exp for a pure exponential curve, linear for a linear curve. |

## BUGS

| There are no options to control the format of the saved thumbnail images.

## SEE ALSO

| tiffdump(1), tiffgt(1), tiffinfo(1), libtiff(3) Libtiff library home page: http://www.remotesensing.org/libtiff/